using System;
using System.Collections.Generic;

namespace ConsoleApp2
{

    class Program
    {
        static List<int> sortiranje(List<int> a, int levi, int desni)
        {
            var i = levi;
            var j = desni;
            var pivot = a[levi];
            while (i <= j)
            {
                while (a[i] < pivot)
                {
                    i++;
                }

                while (a[j] > pivot)
                {
                    j--;
                }
                if (i <= j)
                {
                    int pom = a[i];
                    a[i] = a[j];
                    a[j] = pom;
                    i++;
                    j--;
                }
            }

            if (levi < j)
                sortiranje(a, levi, j);
            if (i < desni)
                sortiranje(a, i, desni);
            return a;
        }
        static int med(List<int> a)
        {
            int n = a.Count - 1;
            int pom = n / 2;
            if (a.Count % 2 == 0) pom++;
            return pom;
        }
        static int medijana(List<int> a, int bi)
        {
            int i = a.IndexOf(bi);
            int brojZaDodavanje = 0;
            if (i >= 0)
            {
                if (a[med(a)] > bi) brojZaDodavanje = bi - 1;
                else brojZaDodavanje = bi + 1;
            }
            else brojZaDodavanje = bi;
            int brojac = 0;
            while(a[med(a)] != bi)
            {
                if (brojZaDodavanje < bi) a.Insert(0, brojZaDodavanje);
                else if (brojZaDodavanje > bi) a.Add(brojZaDodavanje);
                else if (brojZaDodavanje == bi)
                {
                    a.Add(brojZaDodavanje);
                    sortiranje(a, 0, a.Count - 1);
                }
                brojac++;
            }
            return brojac;
        }
        static void Main(string[] args)
        {
            string[] unos1 = Console.ReadLine().Split();
            int n = Convert.ToInt32(unos1[0]);
            int q = Convert.ToInt32(unos1[1]);
            List<int> a = new List<int>();
            string[] unos2 = Console.ReadLine().Split();
            for (int i = 0; i < n; i++) a.Add(Convert.ToInt32(unos2[i]));
            a = sortiranje(a, 0, n - 1);
            int[] rezultat = new int[q];
            string[] unos3 = Console.ReadLine().Split();
            for (int i = 0; i < q; i++)
            {
                List<int> a1 = new List<int>();
                foreach (int x in a) a1.Add(x);
                rezultat[i] = medijana(a1, Convert.ToInt32(unos3[i]));
            }
            foreach (int x in rezultat) Console.WriteLine(x);
            Console.ReadKey();
        }
    }
}